﻿//
//  AudioRoom-Player.h
//  zegoaudioroom
//
//  Copyright © 2017年 ZEGO. All rights reserved.
//

#ifndef AudioRoom_IM_h
#define AudioRoom_IM_h

#include "./AudioRoomDefines-IM.h"
#include "./AudioRoomCallback-IM.h"

namespace ZEGO
{
    namespace AUDIOROOM
    {
        /**
        设置 IM 信息通知的回调对象

        @param pCB 回调对象指针
        @return true 成功，false 失败
        */
        ZEGO_API bool SetAudioIMCallback(IAudioIMCallback *pCB);

        /**
        发送聊天室消息

        @param type 消息类型
        @param category 消息分类
        @param messageContent 消息内容
        @return 消息 seq
        */
        ZEGO_API int SendRoomMessage(ROOM::ZegoMessageType type, ROOM::ZegoMessageCategory category, const char *messageContent);
    }
}

#endif /* AudioRoom_IM_h */
