//
//  AudioRoomCallback-Publisher.h
//  zegoaudioroom
//
//  Copyright © 2017年 ZEGO. All rights reserved.
//

#ifndef AudioRoomCallback_Publisher_h
#define AudioRoomCallback_Publisher_h

#include "./AudioRoomDefines.h"

namespace ZEGO
{
    namespace AUDIOROOM
    {
        class IAudioLivePublisherCallback
        {
        public:
            /**
             推流状态更新
             
             @param stateCode 状态码
             @param pszStreamID 流 ID
             @param oStreamInfo 推流信息
             */
            virtual void OnPublishStateUpdate(int stateCode, const char *pszStreamID, const ZegoPublishingStreamInfo& oStreamInfo) = 0;
            
			/**
			推流质量更新

			@param pszStreamID 流 ID
			@param publishQuality ZegoPublishQuality 对象，内含各项推流质量数据
			*/
			virtual void OnPublishQualityUpdate(const char* pszStreamID, ZegoPublishQuality publishQuality) {}
            
			/// \breif 转推CDN状态通知
            /// \param streamID 流ID
            /// \param statesInfo 转推CDN状态信息列表
            /// \param stateCount 状态信息列表个数
            virtual void OnRelayCDNStateUpdate(const char *streamID, AV::ZegoStreamRelayCDNInfo* statesInfo, unsigned int statesInfoCount) {}
			
            virtual ~IAudioLivePublisherCallback() {}
        };
    }
}

#endif /* AudioRoomCallback_Publisher_h */
